.ubicacion-section {
    background: url("../IMG/Back-Contacto.png") no-repeat center center;
    background-size: cover;
    padding: 80px 20px;
    color: #cbe3ff;
    text-align: center;
}

.titulo-ubicacion {
    font-size: 40px;
    font-weight: 800;
    margin-bottom: 40px;
    text-align: left;
    color: #3a9cff;
}

.mapa-container {
    width: 100%;
    max-width: 900px;
    margin: 0 auto 60px auto;
    border-radius: 25px;
    overflow: hidden;
    box-shadow: 0 0 20px rgba(0,0,0,0.4);
}

.mapa-container iframe {
    width: 100%;
    height: 350px;
    border: none; /* ← elimina bordes del iframe */
}

.sucursales-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 40px;
    max-width: 1200px;
    margin: 20px auto;
}
.sucursales-grid .sucursal-item {
    max-width: 250px;
    margin: auto;
}

.sucursal-item h3 {
    font-size: 18px;
    font-weight: 700;
    color: #52b2ff;
    margin-bottom: 10px;
}

.sucursal-item a {
    font-size: 15px;
    line-height: 1.6;
    color: #fff;
    text-decoration: none;
    transition: 0.2s;
}

.sucursal-item a:hover {
    color: #52b2ff;
}



.faq-section {
    padding: 80px 20px;
    background: #fff;
    text-align: center;
    position: relative; /* IMPORTANTE */
}

/* IMAGEN FLOTANTE DEL TRABAJADOR */
.faq-section::after {
    content: "";
    position: absolute;
    bottom: 0px;
    left: 16%;
    width: 280px;
    height: 243px;
    background-image: url("../IMG/personaje.png");
    background-size: contain;
    background-repeat: no-repeat;
    pointer-events: none;
}

.faq-container {
    max-width: 1024px;
    margin: 0 auto;
}
.faq-container .Titulos {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between; /* separa título y párrafo */
    gap: 30px; /* espacio entre textos */
    margin-bottom: 40px;
}

/* Para que el párrafo no se haga infinito */
.faq-title {
    flex: 0 0 auto; /* el título ocupa lo que necesite */
    font-size: 42px;
    font-weight: 800;
    color: #1e88e5;
    margin-bottom: 5px;
    max-width: 260px;  /* ajusta al gusto */
    line-height: 1.1;
}

.faq-title span {
    color: #0a1e46;
}

.faq-subtitle {
    font-size: 16px;
    max-width: 850px;
    margin: 0 auto 50px;
    color: #113057;
    flex: 1; /* el párrafo ocupa el resto del espacio */
    max-width: 600px;
}

.faq-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
    position: relative;
}

/* TARJETAS */
.faq-card {
    position: relative;
    text-align: center;
}
.faq-card a{
  text-decoration: none;
}
.faq-card img{
  width: 100%;
}

/* Móvil: 1 columna */
@media (max-width: 768px) {
.faq-section {
    padding: 80px 20px 280px 20px;
    background: #fff;
    text-align: center;
    position: relative; /* IMPORTANTE */
}

    .faq-grid {
        grid-template-columns: 1fr;
    }
}